import axios from '@/common/services/axios-instance'

class IamSourceProblemService {
  // 导出问题库
  exportProblem(id, rootId) {
    return axios({
      method: 'post',
      url: 'api/xcoa-mobile/v1/problem-category/exportProblem',
      params: { id: Number(id), rootId: Number(rootId) },
      responseType: 'blob',
    })
  }
}

export default new IamSourceProblemService()
